org.gradle.plugins.ear.descriptor

## Interface EarSecurityRole

-     public interface EarSecurityRole

  A security-role element in a deployment descriptor like application.xml.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` A description of the security role.
    `String` | `getRoleName()` The name of the security role.
    `void` | `setDescription(String description)`
    `void` | `setRoleName(String roleName)`

- - ### Method Detail

    - #### getDescription

          String getDescription()

      A description of the security role. Optional.

    - #### setDescription

          void setDescription(String description)

    - #### getRoleName

          String getRoleName()

      The name of the security role. Required.

    - #### setRoleName

          void setRoleName(String roleName)